# -*- encoding: utf-8 -*-
require File.expand_path('../lib/bolton_cms/version', __FILE__)

Gem::Specification.new do |gem|
  gem.authors       = ['Charles Hudson']
  gem.email         = ['phobetron@gmail.com']
  gem.description   = 'Bolt-on CMS for Padrino'
  gem.summary       = 'Padrino sub-apps that support CMS functionality, so you don\'t have to roll your own.'
  gem.homepage      = 'https://github.com/phobetron/bolton-cms-padrino'
  gem.license       = 'MIT'

  gem.files         = `git ls-files`.split($\)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.name          = 'bolton-cms-padrino'
  gem.require_paths = ['lib', 'models', 'bolton_cms']
  gem.version       = BoltonCms::VERSION

  gem.add_dependency 'rake'
  gem.add_dependency 'babosa'
  gem.add_dependency 'padrino', '~>0.11.4'
  gem.add_dependency 'padrino-sprockets'
  gem.add_dependency 'sprockets-sass'
  gem.add_dependency 'sass'
  gem.add_dependency 'slim'
  gem.add_dependency 'redcarpet'
  gem.add_dependency 'mime-types'
  gem.add_dependency 'bcrypt-ruby'
  gem.add_dependency 'mongoid', '~>3.0.0'
  gem.add_dependency 'mongoid_userstamp'
  gem.add_dependency 'mongoid-tree'
  gem.add_dependency 'mini_magick'
  gem.add_dependency 'carrierwave'
  gem.add_dependency 'carrierwave-mongoid'
  gem.add_dependency 'compass'
  gem.add_dependency 'breakpoint'
  gem.add_dependency 'singularitygs'
end
