require 'rake/testtask'

spec_tasks = Dir['spec/*/'].map { |d| File.basename(d) }

spec_tasks.each do |folder|
  Rake::TestTask.new("spec:#{folder}") do |spec|
    spec.pattern = "spec/#{folder}/**/*_spec.rb"
    spec.verbose = true
  end
end

desc "Run application spec suite"
task 'spec' => spec_tasks.map { |f| "spec:#{f}" }
