PADRINO_ENV = 'test' unless defined?(PADRINO_ENV)
require File.expand_path('../../config/boot', __FILE__)

MiniTest::Reporters.use! MiniTest::Reporters::ProgressReporter.new

class MiniTest::Spec
  include Rack::Test::Methods
  include Mongoid::Matchers

  # app CMS::App

  # You can use this method to custom specify a Rack app
  # you want rack-test to invoke:
  #
  #   app Cms::App
  #   app Cms::App.tap { |a| }
  #   app(Cms::App) do
  #     set :foo, :bar
  #   end
  #
  def app(app = nil, &blk)
    @app ||= block_given? ? app.instance_eval(&blk) : app
    @app ||= Padrino.application
  end
end
